wordpress shows page in https, but not http

Discussion in 'General' started by Randall Paul Allen, Jul 12, 2018.

  1. Randall Paul Allen

    Randall Paul Allen New Member

    Last week I installed ispconfig on my server: server1.perelon.com.br.

    Since then, I have installed 3 websites, perelon.com.br, inglesnobrasil.com.br and rpallen.com.br.

    I manually installed Letsencrypt certificates for each site.

    Today I installed WordPress on all 3 sites and they are working as expected, except for one glitch.

    All 3 of them display the wordpress site in both http and https, except rpallen.com.br. This domain displays the wordpress site properly in secure http (https), but in non-secure (http) it displays the ispconfig default page. I don’t recall doing anything differently for the rpallen.com.br domain from the other 2 domains.

    What should I do?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    What did you mean by installing them manually? ISPConfig has a builtin LE function which should be used for enabling LE for a site, when you install LE certs manually e.g. by using certbot with the apache plugin on the shell, then this will break the apache config files.
     
  3. Randall Paul Allen

    Randall Paul Allen New Member

    I installed them manually as you described because the automated way didn't work. I always got an error message, but I don't remember what it was.

    But the websites seem to work fine though I did this. So how does "this will break the apache config files" and what are the practical consequences to such breaking?
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    You should have checked in the log then why ispconfig could not create them.

    You can not use ISPConfig anymore to edit these sites now, SSL will start to fail for the sites and issues like the one you mentioned can occur. In other words, the whole website config is messed up.

    basically, you have two options:

    a) Configure these sites completely manually now in future, do no open the website settings of these sites in ispconfig anymore and also fix the broken site by manually edit the vhost file.
    b) Fix the sites by removing the manual LE config, this will require also to remove the LE certs completely and their config from /etc/letsencryp/ and then enable LE in the website settings of the sites. If this fails, see Letsencrypt FAQ here at howtoforge and ispconfig debug mode. Common problems are e.g. routers that disallow access to the website from the server itself so that ispconfig is not able to check the site, for suchs etups you can disable the letsencrypt check in ispconfig settings.
     
  5. Randall Paul Allen

    Randall Paul Allen New Member

    Thanks, Till.
    I think I'll just reinstall ispconfig from scratch and start over. It's not a big problem since I haven't added any content to any sites.
    Can you recommend a tutorial for this? I'm installing on Ubuntu 16.04 I seem to recall when I started before, I tried the tutorial (on your site) for the automated install and at some point I got some infinite loop, I think something about needing the FQDN.
    I tried another tutorial (on your site) to manually install it, i.e. installing all of the components individually. I think when I did this I had some problem with amavisd and ended up editing some file to uncomment a line and enter the FQDN.
    So again, can you recommend a tutorial to follow for Ubuntu 16.04? Sorry about all of the unspecific comments. Next time I do the install I'll keep notes if I have any problems.
     
  6. Taleman

    Taleman Active Member HowtoForge Supporter

  7. Randall Paul Allen

    Randall Paul Allen New Member

    First, I didn't say which ones I've tried because I don't remember. I've probably reinstalled the server more than a dozen times trying different things. This whole VPS thing is a new hobby for me.
    Second, I don't HAVE TO use Ubuntu 16.04. My VPS provider can set my server up with CentOS 6 or 7, Debian 8 or 9, or Ubuntu 16.04. I was using Ubuntu because I am more familiar with it, but I'm not against using a different OS.

    Since you said, "If you must use 16.04 ubuntu", it seems like you don't recommend that. What do you recommend?
     
  8. Taleman

    Taleman Active Member HowtoForge Supporter

    Debian 9.
     
  9. Randall Paul Allen

    Randall Paul Allen New Member

    And which tutorial should I follow for Debian 9? I don't really have a preference for the specific components, for example, dovecot vs couier.
     
  10. Taleman

    Taleman Active Member HowtoForge Supporter

    Read message #6.
     
  11. ahrasis

    ahrasis Active Member

    I'd recommend Ubuntu 18.04 though. ;D
     
  12. till

    till Super Moderator Staff Member ISPConfig Developer

    Ubuntu 16.04, Ubuntu 18.04 and Debian 9 are all fine and working well :) So it should not really matter which one you use.

    Generally, one might want to use the latest stable release, so either Devian 9 or Ubuntu 18.04. These are the tutorials:

    https://www.howtoforge.com/tutorial...-9-stretch-apache-bind-dovecot-ispconfig-3-1/
    https://www.howtoforge.com/tutorial...l-pureftpd-bind-postfix-doveot-and-ispconfig/

    Personally, I prefer Debian. But that's just a personal preference and if you have experience with Ubuntu, then go with Ubuntu.
     

Share This Page